Автор Тема: Проблема с установкой wine:i386 в amd64  (Прочитано 4948 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн AREXEL

  • Новичок форума
  • Сообщений: 6
В наличии 3.2.0-4-amd64 #1 SMP Debian 3.2.60-1+deb7u1 x86_64. При попытке установить wine:i386 apt-get ругается на зависимости, а синаптик пытается удалить пол системы (более 500 пакетов на 2 гига с копейками). В каком направлении рыть?
 

Оффлайн qupl

Re: Проблема с установкой wine:i386 в amd64
« Ответ #1 : 11 Июля 2014, 18:30:13 »
AREXEL, рыть в сторону multiarch.

Оффлайн AREXEL

  • Новичок форума
  • Сообщений: 6
Re: Проблема с установкой wine:i386 в amd64
« Ответ #2 : 12 Июля 2014, 06:02:48 »
qupl, тоже грешил на него, пробовал и версию понижать, нифига, переставлять не вариант, он за собой уже всю систему тянет на дно (>4гб). Да и некоторые пакеты ставятся без проблем, libxml2:i386 например. А вот что выни касается беда... Прошелся по зависимостям libwine-bin, так в exim4 уперся, он для i386 и cron с lsb-core, и прочее хочет удалить, бред какой-то... Есть идеи?
 

Оффлайн qupl

Re: Проблема с установкой wine:i386 в amd64
« Ответ #3 : 12 Июля 2014, 13:54:48 »
Показывайте
cat /etc/apt/sources.listИ вывод aptitude после попытки установки wine.

Оффлайн AREXEL

  • Новичок форума
  • Сообщений: 6
Re: Проблема с установкой wine:i386 в amd64
« Ответ #4 : 12 Июля 2014, 14:30:49 »
qupl, sources.list
deb http://security.debian.org/ wheezy/updates main contrib non-free
deb ftp://debian.nsu.ru/debian/ wheezy-updates main contrib
deb-src ftp://debian.nsu.ru/debian/ wheezy-updates main contrib
deb ftp://debian.nsu.ru/debian/ wheezy main contrib non-free
deb-src ftp://debian.nsu.ru/debian/ wheezy main contrib non-free
до nsu пробовал http.us/de c apt-get clean и rm /var/lib/apt/lists/* прежде.

aptitude install wine:i386
Следующие НОВЫЕ пакеты будут установлены:       
  libgnutls26:i386{a} libp11-kit0:i386{ab} libwine:i386{a}
  libwine-bin:i386{a} wine:i386 wine-bin:i386{a}
РЕКОМЕНДУЮТСЯ следующие пакеты, но автоматически они установлены НЕ БУДУТ:
  libwine-alsa:i386 libwine-gl:i386 libwine-oss:i386
0 пакетов обновлено, 6 установлено новых, 0 пакетов отмечено для удаления, и 0 пакетов не обновлено.
Необходимо получить 20,7 MB архивов. После распаковки 100 MB будет занято.
Следующие пакеты имеют неудовлетворённые зависимости:
 libp11-kit0 : Ломает: libp11-kit0:i386 (!= 0.20.2-1~bpo70+1) но устанавливается 0.12-3.
 libp11-kit0:i386 : Ломает: libp11-kit0 (!= 0.12-3) но установлен 0.20.2-1~bpo70+1
Следующие действия разрешат зависимости:

       Удалить следующие пакеты:
и список из 577 пакетов.
 

Оффлайн qupl

Re: Проблема с установкой wine:i386 в amd64
« Ответ #5 : 12 Июля 2014, 15:00:29 »
AREXEL, часть списка пакетов можно было тоже показать. Подозрение, что раньше ставили программы из репозитория backports, теперь более старые пакеты с ними конфликтуют и поэтому предлагается их удалить.

Оффлайн lumberjack

Re: Проблема с установкой wine:i386 в amd64
« Ответ #6 : 12 Июля 2014, 19:42:24 »
AREXEL, а зачем на х64 ставить wine x32?
 

Оффлайн AREXEL

  • Новичок форума
  • Сообщений: 6
Re: Проблема с установкой wine:i386 в amd64
« Ответ #7 : 13 Июля 2014, 10:11:56 »
lumberjack, точнее нужен wine-bin:i386 вот за этим:
This is the wine64-bin helper package, which does not provide wine itself, but instead exists solely to provide the following information about enabling multiarch on your system in order to be able to install and run the 32-bit wine packages.

The following commands should be issued as root or via sudo in order to enable multiarch (the last command installs 32-bit wine):

# dpkg --add-architecture i386
# apt-get update
# apt-get install wine-bin:i386

Be very carefull as spaces matter above. Note that this package (wine64-bin) will be removed in the process. For more information on the multiarch conversion, see: http://wiki.debian.org/Multiarch/HOWTO
 

Оффлайн AREXEL

  • Новичок форума
  • Сообщений: 6
Re: Проблема с установкой wine:i386 в amd64
« Ответ #8 : 13 Июля 2014, 10:26:09 »
qupl, Премного благодарен! :) Действительно, совсем забыл, что ставил libgnutls28 из бекпорта, да и промеж глаз как-то попало libp11-kit0:i386 (!= 0.20.2-1~bpo70+1) но устанавливается 0.12-3. Удалил libgnutls, понизил libp11 - все завелось!
 

Оффлайн lumberjack

Re: Проблема с установкой wine:i386 в amd64
« Ответ #9 : 13 Июля 2014, 11:15:00 »
AREXEL, а WINEARCH=win32 чем не устроил?
 

Оффлайн AREXEL

  • Новичок форума
  • Сообщений: 6
Re: Проблема с установкой wine:i386 в amd64
« Ответ #10 : 13 Июля 2014, 12:34:50 »
lumberjack, так все дело в том что не ставились libwine-bin и libwine. Там цепочка зависимостей libwine-bin > libwine > libgnutls26 > libp11-kit0, в последнем и была проблема.
 

Теги:
     

    Проблема Debian-gdm после использования Wine.

    Автор serke7771

    Ответов: 0
    Просмотров: 495
    Последний ответ 03 Августа 2020, 22:20:23
    от serke7771
    Проблема с Wine на Debian 7.1

    Автор KindCatAqp

    Ответов: 9
    Просмотров: 9274
    Последний ответ 13 Августа 2013, 01:44:20
    от wau
    Проблема с Архитектурой

    Автор Planelion

    Ответов: 2
    Просмотров: 1611
    Последний ответ 10 Марта 2017, 20:45:52
    от Planelion
    Wine, проблема с OpenGL.

    Автор songmachine

    Ответов: 8
    Просмотров: 3995
    Последний ответ 17 Ноября 2012, 01:17:32
    от songmachine
    проблема wine 1.4 с установками donet 1.0-4.0

    Автор LUCIFER09

    Ответов: 0
    Просмотров: 1807
    Последний ответ 21 Марта 2014, 11:30:05
    от LUCIFER09